<?php
/* Autor...:  */
/* Esquema.: COM_GastosImportacionDet.xml */
/* Generado: 2021-08-14 18:19:48 */

/* Metodos de acceso a los campos de la tabla COM_GastosImportacionDet */
abstract class BaseCOM_GastosImportacionDetBN
{
    /* Campos de la tabla */
    private $i_IdOrdenCompra;    // IdOrdenCompra: ( no definido )
    private $i_GastosImportacionId;    // GastosImportacionId: ( no definido )
    private $s_Secuencia;    // Secuencia: ( no definido )
    private $s_TipoGastoId;    // TipoGastoId: ( no definido )
    private $s_TipoGastoDesc;    // TipoGastoDesc: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $f_TipoCambio;    // TipoCambio: ( no definido )
    private $f_MontoDolares;    // MontoDolares: ( no definido )
    private $f_MontoSoles;    // MontoSoles: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $s_FechaCreacion;    // FechaCreacion: ( no definido )

    /* Establece el valor del campo IdOrdenCompra */
    public function setIdOrdenCompra( $i_IdOrdenCompra )
    {
        $this->i_IdOrdenCompra = $i_IdOrdenCompra;
    }

    /* Obtiene el valor del campo IdOrdenCompra */
    public function getIdOrdenCompra()
    {
        return $this->i_IdOrdenCompra;
    }

    /* Establece el valor del campo GastosImportacionId */
    public function setGastosImportacionId( $i_GastosImportacionId )
    {
        $this->i_GastosImportacionId = $i_GastosImportacionId;
    }

    /* Obtiene el valor del campo GastosImportacionId */
    public function getGastosImportacionId()
    {
        return $this->i_GastosImportacionId;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $s_Secuencia )
    {
        $this->s_Secuencia = $s_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->s_Secuencia;
    }

    /* Establece el valor del campo TipoGastoId */
    public function setTipoGastoId( $s_TipoGastoId )
    {
        $this->s_TipoGastoId = $s_TipoGastoId;
    }

    /* Obtiene el valor del campo TipoGastoId */
    public function getTipoGastoId()
    {
        return $this->s_TipoGastoId;
    }

    /* Establece el valor del campo TipoGastoDesc */
    public function setTipoGastoDesc( $s_TipoGastoDesc )
    {
        $this->s_TipoGastoDesc = $s_TipoGastoDesc;
    }

    /* Obtiene el valor del campo TipoGastoDesc */
    public function getTipoGastoDesc()
    {
        return $this->s_TipoGastoDesc;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo TipoCambio */
    public function setTipoCambio( $f_TipoCambio )
    {
        $this->f_TipoCambio = $f_TipoCambio;
    }

    /* Obtiene el valor del campo TipoCambio */
    public function getTipoCambio()
    {
        return $this->f_TipoCambio;
    }

    /* Establece el valor del campo MontoDolares */
    public function setMontoDolares( $f_MontoDolares )
    {
        $this->f_MontoDolares = $f_MontoDolares;
    }

    /* Obtiene el valor del campo MontoDolares */
    public function getMontoDolares()
    {
        return $this->f_MontoDolares;
    }

    /* Establece el valor del campo MontoSoles */
    public function setMontoSoles( $f_MontoSoles )
    {
        $this->f_MontoSoles = $f_MontoSoles;
    }

    /* Obtiene el valor del campo MontoSoles */
    public function getMontoSoles()
    {
        return $this->f_MontoSoles;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $s_FechaCreacion )
    {
        $this->s_FechaCreacion = $s_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->s_FechaCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdOrdenCompra' => $this->getIdOrdenCompra(),
            'GastosImportacionId' => $this->getGastosImportacionId(),
            'Secuencia' => $this->getSecuencia(),
            'TipoGastoId' => $this->getTipoGastoId(),
            'TipoGastoDesc' => $this->getTipoGastoDesc(),
            'Descripcion' => $this->getDescripcion(),
            'TipoCambio' => $this->getTipoCambio(),
            'MontoDolares' => $this->getMontoDolares(),
            'MontoSoles' => $this->getMontoSoles(),
            'Estado' => $this->getEstado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto COM_GastosImportacionDetBN desde un RecordSet */
    public static function retrieveByRs( $o_COM_GastosImportacionDetRs )
    {
        $o_COM_GastosImportacionDetBN = new COM_GastosImportacionDetBN();
        $o_COM_GastosImportacionDetBN->setIdOrdenCompra( ( integer ) $o_COM_GastosImportacionDetRs[ "IdOrdenCompra" ] );
        $o_COM_GastosImportacionDetBN->setGastosImportacionId( ( integer ) $o_COM_GastosImportacionDetRs[ "GastosImportacionId" ] );
        $o_COM_GastosImportacionDetBN->setSecuencia( $o_COM_GastosImportacionDetRs[ "Secuencia" ] );
        $o_COM_GastosImportacionDetBN->setTipoGastoId( $o_COM_GastosImportacionDetRs[ "TipoGastoId" ] );
        $o_COM_GastosImportacionDetBN->setTipoGastoDesc( $o_COM_GastosImportacionDetRs[ "TipoGastoDesc" ] );
        $o_COM_GastosImportacionDetBN->setDescripcion( $o_COM_GastosImportacionDetRs[ "Descripcion" ] );
        $o_COM_GastosImportacionDetBN->setTipoCambio( ( float ) $o_COM_GastosImportacionDetRs[ "TipoCambio" ] );
        $o_COM_GastosImportacionDetBN->setMontoDolares( ( float ) $o_COM_GastosImportacionDetRs[ "MontoDolares" ] );
        $o_COM_GastosImportacionDetBN->setMontoSoles( ( float ) $o_COM_GastosImportacionDetRs[ "MontoSoles" ] );
        $o_COM_GastosImportacionDetBN->setEstado( $o_COM_GastosImportacionDetRs[ "Estado" ] );
        $o_COM_GastosImportacionDetBN->setUsuarioCreacion( $o_COM_GastosImportacionDetRs[ "UsuarioCreacion" ] );
        $o_COM_GastosImportacionDetBN->setFechaCreacion( $o_COM_GastosImportacionDetRs[ "FechaCreacion" ] );
        return $o_COM_GastosImportacionDetBN;
    }
}
?>